LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XDispatchResultListener Interface Referencepublished

listener for results of XNotifyingDispatch::dispatchWithNotification() More...

`import"XDispatchResultListener.idl";`

Inheritance diagram for XDispatchResultListener:

## Public Member Functions
void | dispatchFinished ([in] DispatchResultEvent Result)
| indicates finished dispatch More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

listener for results of XNotifyingDispatch::dispatchWithNotification()

See also
  XNotifyingDispatch

## Member Function Documentation

## ◆ dispatchFinished()

void dispatchFinished | ( | [in] DispatchResultEvent | Result | ) |

indicates finished dispatch

Parameters

  Result | contains the result of the dispatch action

See also
  DispatchResultEvent

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XDispatchResultListener.idl